// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 



// INCLUDE FILES
#include "SqlSrvDemoAppView.h"


// ========================= MEMBER FUNCTIONS ==================================

// -----------------------------------------------------------------------------
// CSqlSrvDemoAppView::CSqlSrvDemoAppView()
// C++ default constructor can NOT contain any code, that might leave.
// -----------------------------------------------------------------------------
//
CSqlSrvDemoAppView::CSqlSrvDemoAppView()
    {
    // No implementation required
    }

// -----------------------------------------------------------------------------
// CSqlSrvDemoAppView::NewL()
// Two-phased constructor.
// -----------------------------------------------------------------------------
//
CSqlSrvDemoAppView* CSqlSrvDemoAppView::NewL( const TRect& aRect )
    {
    CSqlSrvDemoAppView* self = CSqlSrvDemoAppView::NewLC( aRect );
    CleanupStack::Pop( self );
    return self;
    }

// -----------------------------------------------------------------------------
// CSqlSrvDemoAppView::NewLC()
// Two-phased constructor.
// -----------------------------------------------------------------------------
//
CSqlSrvDemoAppView* CSqlSrvDemoAppView::NewLC( const TRect& aRect )
    {
    CSqlSrvDemoAppView* self = new ( ELeave ) CSqlSrvDemoAppView;
    CleanupStack::PushL( self );
    self->ConstructL( aRect );
    return self;
    }

// -----------------------------------------------------------------------------
// CSqlSrvDemoAppUi::ConstructL()
// Symbian 2nd phase constructor can leave.
// -----------------------------------------------------------------------------
//
void CSqlSrvDemoAppView::ConstructL( const TRect& aRect )
    {
    // Create a window for this application view
    CreateWindowL();

    // Set the windows size
    SetRect( aRect );

    // Activate the window, which makes it ready to be drawn
    ActivateL();
    }

// -----------------------------------------------------------------------------
// CSqlSrvDemoAppView::~CSqlSrvDemoAppView()
// Destructor.
// -----------------------------------------------------------------------------
//
CSqlSrvDemoAppView::~CSqlSrvDemoAppView()
    {
    // No implementation required
    }

// -----------------------------------------------------------------------------
// CSqlSrvDemoAppView::Draw() const
// Draws the display
// -----------------------------------------------------------------------------
//
void CSqlSrvDemoAppView::Draw( const TRect& /*aRect*/ ) const
    {
    // Clear the screen
    CWindowGc& gc = SystemGc();
    gc.Clear( Rect() );
    }

// End of File